﻿using ComputerShopDataModels.Enums;
using ComputerShopDataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputerShopContracts.BindingModels
{
    public class OrderBindingModel : IOrderModel
    {
        public int Id { get; set; }
        public double Sum { get; set; }

        public OrderStatus Status { get; set; } = OrderStatus.Неизвестен;

        public DateTime DateCreate { get; set; } = DateTime.Now;

		public DateTime? DateImplement { get; set; }
        public int ClientId { get; set; }
        public Dictionary<int, (IComponentModel, int)> OrderComponents
		{
            get;
            set;
        } = new();
        public Dictionary<int, IOrderModel> SupplyOrders
        {
            get;
            set;
        } = new();

    }
}
