﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputerShopDatabaseImplement.Models
{
    internal class OrderComponent
    {
        public int Id { get; set; }
        [Required]
		public int OrderId { get; set; }
        [Required]
		public int ComponentId { get; set; }
		[Required]
        public int Count { get; set; }
        public virtual Order Order { get; set; } = new();
        public virtual Component Component { get; set; } = new();
    }
}
